<?php

namespace TablesRouter;

class Fop_fints_konto {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function selectTanModeURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::selectTanModeURL2($params);
	
    
  }

  public static function tanerrorURL($msg = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['msg'] = $msg;
		return self::tanerrorURL2($params);
	
    
  }

  public static function activateURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::activateURL2($params);
	
    
  }

  public static function tanURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::tanURL2($params);
	
    
  }

  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function createURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchformURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchformURL2($params);
	
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_create_kontoURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_create_kontoURL2($params);
	
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_edit_kontoURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_edit_kontoURL2($params);
	
    
  }

  public static function searchOptionsfop_fints_file_konto_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsfop_fints_file_konto_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsfop_fints_buchung_konto_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsfop_fints_buchung_konto_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_fints_file_create_kontoURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_fints_file_create_kontoURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_fints_buchung_create_kontoURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_fints_buchung_create_kontoURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_fints_file_edit_kontoURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_fints_file_edit_kontoURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_fints_buchung_edit_kontoURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_fints_buchung_edit_kontoURL2($params);
	
    
  }

  public static function renderEditfop_fints_file_konto_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditfop_fints_file_konto_deletecascadeURL2($params);
	
    
  }

  public static function renderEditfop_fints_buchung_konto_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditfop_fints_buchung_konto_deletecascadeURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_fints_file_create_kontoURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_fints_file_create_kontoURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_fints_buchung_create_kontoURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_fints_buchung_create_kontoURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_fints_file_edit_kontoURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_fints_file_edit_kontoURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_fints_buchung_edit_kontoURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_fints_buchung_edit_kontoURL2($params);
	
    
  }

  public static function selectTanModeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/selectTanMode';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function tanerrorURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/tanerror';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function activateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/activate';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function tanURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/tan';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'selectTanMode') ) {
		try {
			$result = \Tables\Fop_fints_konto::selectTanModeAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'tanerror') ) {
		try {
			$result = \Tables\Fop_fints_konto::tanerrorAction(isset($_GET['msg']) ? $_GET['msg'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'activate') ) {
		try {
			$result = \Tables\Fop_fints_konto::activateAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'tan')) {
		try {
			$result = \Tables\Fop_fints_konto::tanAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\Fop_fints_konto::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\Fop_fints_konto::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create')) {
		try {
			$result = \Tables\Fop_fints_konto::createAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\Fop_fints_konto::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchform') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchformAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_create_konto') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_create_kontoAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_edit_konto') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_edit_kontoAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'searchOptionsfop_fints_file_konto_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::searchOptionsfop_fints_file_konto_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsfop_fints_buchung_konto_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::searchOptionsfop_fints_buchung_konto_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_fints_file_create_konto') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::searchOptionsform_wf_fop_fints_file_create_kontoAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_fints_buchung_create_konto') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::searchOptionsform_wf_fop_fints_buchung_create_kontoAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_fints_file_edit_konto') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::searchOptionsform_wf_fop_fints_file_edit_kontoAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_fints_buchung_edit_konto') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::searchOptionsform_wf_fop_fints_buchung_edit_kontoAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditfop_fints_file_konto_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_fints_konto::renderEditfop_fints_file_konto_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditfop_fints_buchung_konto_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_fints_konto::renderEditfop_fints_buchung_konto_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_fints_file_create_konto') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_fints_konto::renderEditform_wf_fop_fints_file_create_kontoAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_fints_buchung_create_konto') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_fints_konto::renderEditform_wf_fop_fints_buchung_create_kontoAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_fints_file_edit_konto') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_fints_konto::renderEditform_wf_fop_fints_file_edit_kontoAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_fints_buchung_edit_konto') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_fints_konto::renderEditform_wf_fop_fints_buchung_edit_kontoAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_fints_konto::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\Fop_fints_konto::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchformURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchform';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_create_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_create_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_edit_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_edit_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsfop_fints_file_konto_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/searchOptionsfop_fints_file_konto_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsfop_fints_buchung_konto_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/searchOptionsfop_fints_buchung_konto_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_fints_file_create_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/searchOptionsform_wf_fop_fints_file_create_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_fints_buchung_create_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/searchOptionsform_wf_fop_fints_buchung_create_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_fints_file_edit_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/searchOptionsform_wf_fop_fints_file_edit_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_fints_buchung_edit_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/searchOptionsform_wf_fop_fints_buchung_edit_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditfop_fints_file_konto_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/renderEditfop_fints_file_konto_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditfop_fints_buchung_konto_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/renderEditfop_fints_buchung_konto_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_fints_file_create_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/renderEditform_wf_fop_fints_file_create_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_fints_buchung_create_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/renderEditform_wf_fop_fints_buchung_create_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_fints_file_edit_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/renderEditform_wf_fop_fints_file_edit_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_fints_buchung_edit_kontoURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_fints_konto/renderEditform_wf_fop_fints_buchung_edit_konto';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function selectTanModeAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())))) return false;
    // --- BLOCK: access-item-fop_fints_konto-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getBuchhaltung()).') FROM '.qi('fop_fints_konto').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function tanerrorAccess($msg = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function activateAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function tanAccess() { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())))) return false;
    // --- BLOCK: access-itemlist-fop_fints_konto-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getBuchhaltung()).'), false) THEN 0 ELSE 1 END) FROM '.qi('fop_fints_konto').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())))) return false;
    // --- BLOCK: access-itemlist-fop_fints_konto-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getBuchhaltung()).'), false) THEN 0 ELSE 1 END) FROM '.qi('fop_fints_konto').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess() { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getBuchhaltung())))) return false;
    // --- BLOCK: access-item-fop_fints_konto-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getBuchhaltung()).') FROM '.qi('fop_fints_konto').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchformAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_create_kontoAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchBe4e517bcab327042669d75d9e676b9f5f5a9a843d9e57e3f4b4cd3fbb948c22_fetchconstr_form_wf_fop_fints_buchung_edit_kontoAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsfop_fints_file_konto_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsfop_fints_buchung_konto_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_fints_file_create_kontoAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_fints_buchung_create_kontoAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_fints_file_edit_kontoAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_fints_buchung_edit_kontoAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditfop_fints_file_konto_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditfop_fints_buchung_konto_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_fints_file_create_kontoAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_fints_buchung_create_kontoAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_fints_file_edit_kontoAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_fints_buchung_edit_kontoAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



